/**
 * Javascripts used in the theme
 * Created by Am!n - 20script.ir
 * @copyright Allrights reserved
 * @package data98 Wordpress Theme
 * @author Dornaweb.com
 */
 

/**
 * slider controll by data-* attributes.
 * @package Jcarousel
 * @package data98 Wordpress Theme
 */
(function($) {
    $(function() {
        $('[data-jcarousel]').each(function() {
            var el = $(this);
			if( el.hasClass( "auto-slider" ) ) {
				 el.jcarousel(el.data()).jcarouselAutoscroll({
					interval: 5000,
					target: '+=1',
				});
			} else {
				el.jcarousel(el.data());
			}
           
        });

        $('[data-jcarousel-control]').each(function() {
            var el = $(this);
            el.jcarouselControl(el.data());
        });
    });
})(jQuery);

/**
 * Tab Boxes by Dornaweb
 * @package data98 wordpress theme
 * @Copyright Allrights reserved Dornaweb
 */
$(".tab-boxes").each(function() {
	var tabs = $(this);
	$("ul.tabs li",tabs).each(function() {
		if( $(this).hasClass("active") ) {
			$( $(this).attr("data-target") ).show();
		}
		
		else {
			$( $(this).attr("data-target") ).hide();
		}
	});
	$("ul.tabs li",tabs).click( function() {
		var tab = $(this);
		var tabtar = tab.attr("data-target");
		
		if( !tab.hasClass("active") ) {
			$("ul.tabs li",tabs).removeClass("active");
			tab.addClass("active");
			$(".tab-content",tabs).hide();
			$(tabtar).fadeIn("medium");
		}
	});
});

/**
 * Clickable
 * Makes a whole box clickable and goes to the first link found in children "<a>" tags.
 * 3rd Party
 * @package data98 wordpress theme
 * @Copyright Allrights reserved Dornaweb
*/
$(".clickable").click(function(){
	 window.location=$(this).find("a").attr("href");
	 return false;
});
$(".clickable").css("cursor","pointer");

/**
 * SubmitForm()
 * Submits a Form with Desired Action
 * 3rd Party
 * @param action - (str) desired action
 * @param id - (str) form id
 * @package data98 wordpress theme
 * @Copyright Allrights reserved Dornaweb
*/
function SubmitForm(action,id){
	document.getElementById(id).action = action;
	document.getElementById(id).submit();
}

//navigation menu 
var counter = 0;
$(".navigation > ul > li").each(function() {
	counter++;
	if( $(this).has("ul").length ) {
		$(">a",this).prepend('<span class="icon icon-arw-down" style="margin:0 0 -1px 3px;"></span>');
		$("ul", this).append('<img src="'+ image_directory +'/'+sub_imgs[counter] + '" alt="image">');
	}
});

/**
 * Tooltip
 * tooltip by Dornaweb
 * @package data98 wordpress theme
 * @Copyright Allrights reserved Dornaweb
*/
$("[data-tooltip]").each(function() {
	var tooltip = $(this).attr("data-tooltip");
	var margin = Math.round( $(this).outerWidth() / (2) );
	
	//css
	$(this).css({
		"position" 		: "relative",
		"white-space"   : "no-wrap"
	});
	
	$(this).append('<span class="tooltip">' + tooltip + '<span class="icon icon-arw-up"></span></span>');
	var margin1 = Math.round( $(".tooltip",this).outerWidth() / (-2) + margin-1 );
	$(".tooltip",this).css("margin-left",margin1+"px");
	
	$(this).hover(function() {
		$(".tooltip",this).fadeToggle(300);
	});
});